@if (wasteDate) {
  <ion-card class="waste-card default-card {{ elevation }}" *transloco="let t">
    <ion-grid>
      <ion-row class="ion-card-row">
        <ion-col size="10" class="text-content">
          <div class="bin-header">
            {{ t('feature_waste.waste_types.' + wasteDate.wasteType) }}
          </div>
          <div *ngIf="isCollectionTomorrow || isCollectionToday">
            <div class="bin-collection">
              {{ t('feature_waste.waste-bin-card.put_out_today') }}
            </div>

            <div class="sub-text-collection" *ngIf="isCollectionTomorrow">
              {{ t('feature_waste.waste-bin-card.collection_tomorrow') }}
            </div>

            <div class="sub-text-collection" *ngIf="isCollectionToday">
              {{ t('feature_waste.waste-bin-card.collection_today') }}
            </div>
          </div>

          <div *ngIf="!isCollectionTomorrow && !isCollectionToday">
            <div class="bin-collection">
              {{ wasteDate.date | localizedWeekDay }},
              {{ wasteDate.date | localizedFormatDistanceTimePipe }}
            </div>
          </div>

          <div
            *ngIf="nextCollectionDate && localizedDistanceUntilNextPickup !== 0"
            class="sub-text-collection"
          >
            {{
              t('feature_waste.waste-bin-card.again_in', {
                days: localizedDistanceUntilNextPickup,
              })
            }}
          </div>
        </ion-col>
        <ion-col
          size="2"
          class="site-content"
          [ngStyle]="{ 'background-color': wasteDate.wasteTypeColor }"
        >
          <img
            [src]="wasteDate.wasteTypeImagePath"
            class="material-icons-outlined waste-icon"
            alt=""
          />
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>
}
